Visit The New, Modern Unix Linux Community


not able to install the package


 
Thread Tools Search this Thread
Operating Systems Solaris not able to install the package
# 1  
not able to install the package

I am working with sun solaris 9 and I want to install some packages but due to less disk space I am not able to install the packages.
I am giving the output of filesystem--

# df -k
Filesystem kbytes used avail capacity Mounted on
/dev/dsk/c0t0d0s0 2148263 1997593 107705 95% /
/proc 0 0 0 0% /proc
mnttab 0 0 0 0% /etc/mnttab
fd 0 0 0 0% /dev/fd
swap 334456 40 334416 1% /var/run
swap 334752 336 334416 1% /tmp
/dev/dsk/c0t0d0s7 36317277 354747 35599358 1% /export/home
/export/home/Emerson 36317277 354747 35599358 1% /home/Emerson

it shows that my root dir is filled up 95%..
due to that I am getting the error

cpio: Cannot write "reloc/share/locale/tr/LC_MESSAGES/gcc.mo", errno 28, No space left on device
297544 blocks

So Is there any way to increase the size of the root??

Please help me Smilie

thanks in Advance.....
# 2  
Please check for minfree and if the requirement is not very large then you can reduce the minfree and take some disk space from there.
# 3  
Initial step would be to housekeep your root fs and see if that improves the situation
# 4  
what do you mean by housekeep and how can I do that??
# 5  
Quote:
Originally Posted by smartgupta
what do you mean by housekeep and how can I do that??
delete old and unused files...
# 6  
i have only useful files and config files only which I can't delete.
So is there any way bywhich I can Increase the size of root(/) without reinstall the OS??
# 7  
Quote:
Originally Posted by smartgupta
I am working with sun solaris 9 and I want to install some packages but due to less disk space I am not able to install the packages.
I am giving the output of filesystem--

# df -k
Filesystem kbytes used avail capacity Mounted on
/dev/dsk/c0t0d0s0 2148263 1997593 107705 95% /
/proc 0 0 0 0% /proc
mnttab 0 0 0 0% /etc/mnttab
fd 0 0 0 0% /dev/fd
swap 334456 40 334416 1% /var/run
swap 334752 336 334416 1% /tmp
/dev/dsk/c0t0d0s7 36317277 354747 35599358 1% /export/home
/export/home/Emerson 36317277 354747 35599358 1% /home/Emerson

it shows that my root dir is filled up 95%..
due to that I am getting the error

cpio: Cannot write "reloc/share/locale/tr/LC_MESSAGES/gcc.mo", errno 28, No space left on device
297544 blocks

So Is there any way to increase the size of the root??

Please help me Smilie

thanks in Advance.....
You can grow your partition by two way.

online - without unmounting your file system
offline - unmount your file system


Note: -To grow file system is always a risky think ...make sure you have taken your backup successfully before to use these commands.



Offline method: -

#umount /data
#metaclear D100
#metainit d100 2 1 c1t1d0s0 1 c1t2d0s0
# mount /dev/md/dsk/d100 /data
#growfs -M /data /dev/md/rdsk/d100

Online method: -
#metattach d100 c1d1s1
#growfs -M /data /dev/md/rdsk/d100

Previous Thread | Next Thread
Thread Tools Search this Thread
Search this Thread:
Advanced Search

Test Your Knowledge in Computers #407
Difficulty: Medium
Cygwin's default package selection is quite small, containing little more than the bash shell and the core file manipulation utilities expected of a Unix command line.
True or False?

10 More Discussions You Might Find Interesting

1. UNIX for Dummies Questions & Answers

Can't install rpm package with --prefix in new path.Error: package is not relocatable

Hello, i have downloaded an rpm package "hadoop-0.20.205.0-1.amd64.rpm" in /usr/local/ directory. I'm trying to install the rpm package in a new path/location (/usr/local/hadoop-0.20.205), but i can't. I did: 1st try: Didn't work sudo rpm -i --prefix=/usr/local/hadoop-0.20.205... (1 Reply)
Discussion started by: g_p
1 Replies

2. UNIX for Advanced & Expert Users

install a obsoleted package

How do you install a obsoleted package? This is the error message if you are curious. $ sudo rpm -i /home/bob/Downloads/OOO330_m20_native_packed-1_en-US.9567/RPMS/openoffice.org-ure-1.7.0-9567.i586.rpm password for bob: error: Failed dependencies: openoffice.org-ure < 1:3.3.1 is... (5 Replies)
Discussion started by: cokedude
5 Replies

3. Linux

How install a new package without remove old package?

Dear all, I would like to install a new version of package without remove old version on Centos and vice versa. Please give me advice! thanks much, (2 Replies)
Discussion started by: all4cfa
2 Replies

4. Ubuntu

How to Install TCSH package in Ubuntu 11?

I am trying to install tcsh package in ubuntu 11 When i tried to invoke the tcsh,i was prompted to contact administrator to install tcsh package. Since i am also the admin on my system its my job to install tcsh :D I have downloaded tcsh package named "tcsh-6.17.00.tar", since i don not have... (12 Replies)
Discussion started by: animesharma
12 Replies

5. UNIX for Advanced & Expert Users

snoop package install

I was trying to install the solaris snoop package on a flavor of linux. I got the tar file, unzipped it. when I CD to the unzipped snoop directory, I ran the command ./configure ; make and I got the following error. Did anybody run into this before? what can I do to install snoop? checking... (1 Reply)
Discussion started by: Pouchie1
1 Replies

6. Solaris

how to install this package

Dears, i am new user in solaris i am using solaris 10 https://cds.sun.com/is-bin/INTERSHOP.enfinity/WFS/CDS-CDS_SMI-Site/en_US/-/USD/ViewProductDetail-Start?ProductRef=Sol-audio-drivers1.0-x86-G-F@CDS-CDS_SMI after i unzip this package i didn't found any package to install cos i only... (1 Reply)
Discussion started by: sharkux
1 Replies

7. UNIX and Linux Applications

looking for ImageMagick install package

i am struggling to find an error free, and complete install package for ImageMagick (with perl- "PerlMagick"). imagemagick.org not much help.... links for source, mirrors etc dont work. any pointers appreciated. linux server. (2 Replies)
Discussion started by: mickeymouse
2 Replies

8. Solaris

install and uninstall package

I'm a newcomer for Solaris. I tried to install Net::FTP package ( a tool perl ) on our sun server 5.9. We used the below command: /usr/bin/perl MakeFilePL make make install How can I uninstall this package ? (1 Reply)
Discussion started by: anhtt
1 Replies

9. Solaris

how to install package

Hi How to install package from Freeware for Solaris Specificaly i want to install lsof-4.77-sol10-sparc-local.gz Thanks Amit (2 Replies)
Discussion started by: amitarcade
2 Replies

10. UNIX for Dummies Questions & Answers

uninstall and install a package

Hi, on Red Hat Enterprise Linux AS release 3 (Taroon). How can I : 1-install a package (exemple : compat-gcc-7.3-2.96.128.src.rpm) 2-uninstall (or delete or deinstall) a package (exemple : compat-gcc-7.3-2.96.122). Many thanks before. (6 Replies)
Discussion started by: big123456
6 Replies

Featured Tech Videos